header {
    position: fixed;
    display: block;
    z-index: 1000;
    width: 100%;
    background-color: #000000b5;
}

header .main-navigation {
    display: flex;
    min-height: 50px;
    height: fit-content;
    width: 100%;
}

header nav .primary-menu .menu-item a{    
    font-size: 20px;
    color: white;
}

header nav .sub-menu .menu-item a {
    font-size: 18px;
    color: #9C9C9C;
}

header nav .sub-menu .menu-item a:hover,
header nav .sub-menu .menu-item a:active, 
header nav .sub-menu .menu-item a:focus {
    color: white;
}

header nav .primary-menu {
    position: relative;
    display: flex;
    top: 16px;
    width: 100%;
    margin: 24px 0 28px 0;
    padding: 0;
    list-style: none;
}

#menu-left {
    margin-left: 40px;
}

#menu-right {
    justify-content: end;
    margin-right: 40px;
}

header nav .primary-menu .menu-item {
    padding: 0 16px;
}

header nav .menu-item-has-children {
    position: relative;
    display: block;
    align-items: center;
    cursor: pointer;
    width: 140px;
}

header nav .submenu-toggle {
    display: inline-block;
    width: 14px;
    height: 14px;
    margin-left: 8px;
    background: url("https://cavalliisland.se/wp-content/uploads/2026/02/Frame-31.png") no-repeat center / contain;
    cursor: pointer;
    vertical-align: middle;
    transition: transform 0.3s ease;
}

header nav .menu-item-has-children.is-open .submenu-toggle {
    transform: rotate(180deg);
}

header nav .sub-menu {
    position: relative;
    padding: 0;
    list-style: none;
    height: 0px;
    transition: height 1s ease, opacity 2s ease;
    overflow-y: hidden;
	gap: 20px;
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}

header nav .menu-item-has-children > .sub-menu {

}

header nav .menu-item-has-children.is-open > .sub-menu {    

    height: 200px;
}

/* styling för headern eller annat när sun-meny är öppen */
header.submenu-open {
    height: fit-content;
}

/* Normal styling igen */

header nav .sub-menu .menu-item {
    width: 0;
    padding: 0;
    white-space: nowrap;
}

.main-navigation__logo {
    display: flex;
    padding: 4px;
    z-index: 1000;
}

.main-navigation__logo img {
    height: 80px;
    width: auto;
}

/* Mobile */

header nav .mobile-menu {
    position: relative;
    display: flex;
    top: 16px;
    width: fit-content;
    margin: 0 0 0px 0;
    padding: 0;
    list-style: none;
    flex-direction: column;
    gap: 20px;
}

header nav .mobile-menu .menu-item a{    
    font-size: 30px;
    color: white;
}

header nav .mobile-menu .sub-menu .menu-item a {
    font-size: 24px;
    color: white;
}

header nav .mobile-menu .menu-item {
}

header nav .mobile-menu .sub-menu .menu-item {
    width: fit-content;
    padding: 8px 0 0 0;
    white-space: nowrap;
}

.mobile-header {
    display: none;
}

.mobile-top {
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.menu-burger {
    position: absolute;
    height: 9px;
    width: 17px;
    right: 30px;
    cursor: pointer;
}

.menu-cross {
    position: absolute;
    height: 14px;
    width: auto;
    right: 34px;
    cursor: pointer;
    z-index: 1000;
    opacity: 0;
    pointer-events: none; /* optional, prevents clicking */
}

.mobile-navigation {
    position: fixed;
    height: 100vh;
    width: 100%;
    background-color: #000000;
    transform: translateX(100%);
    transition: 2s ease;
    padding: 100px 50px;
}

.mobile-navigation.is-open {
    transform: translateX(0%);
}

header.menu-open .menu-burger {
    opacity: 0;
    pointer-events: none; /* optional, prevents clicking */
}

header.menu-open .menu-cross {
    opacity: 1;
    pointer-events: all; /* optional, prevents clicking */
}


@media (max-width: 800px) {
    
    header  .main-navigation {
        display: none;
    }
    
    .mobile-header {
        display: flex;
    }
    
    .main-navigation__logo img {
        height: 60px;
        width: auto;
    }
    
    header nav .sub-menu {
        position: relative;
        padding: 0 0 0 10px;
        list-style: none;
        width: fit-content;
        height: 0px;
        transition: height 1s ease, opacity 2s ease;
        overflow-y: hidden;
        display: block;
        margin-top: 0;
    }
    
    header nav .submenu-toggle {
        display: inline-block;
        width: 16px;
        height: 9px;
        margin-left: 8px;
        background: url("https://cavalliisland.se/wp-content/uploads/2026/02/Vector.png") no-repeat center / contain;
        cursor: pointer;
        vertical-align: middle;
        transform: rotate(180deg);
        transition: transform 0.3s ease;
    }
    
    header nav .menu-item-has-children.is-open .submenu-toggle {
        transform: rotate(0deg);
    }
    
    header nav .menu-item-has-children {
        position: relative;
        display: block;
        align-items: center;
        cursor: pointer;
        width: fit-content;
    }
    
    header nav .sub-menu .menu-item {
        margin-bottom: 0px;
    }
    
}



footer {
    height: 104px;
    padding: 8px 30px;
    background: var(--Pink, #D10253);
    display: flex;
    align-items: flex-end;
}

footer nav{
    
}

footer nav ul{
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    gap: 20px;
}

footer nav ul li{
    
}

footer nav ul li a{
    color: #FFF;
    font-family: "IBM Plex Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 22.4px; /* 160% */
    letter-spacing: -0.14px;
    text-transform: none;
}

.alternative-banner {
    background-image: url(https://cavalliisland.se/wp-content/uploads/2026/02/Frame-16.png);
    min-height: 300px;
    display: flex;
    gap: 40px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
	text-align: center;
	padding: 40px;
}

.footer-banner-title {
    max-width: 850px;
    font-size: 56px;
    color: var(--white);
    font-family: var(--secondary-font);
}

.safari .footer-banner-title {
    -webkit-font-smoothing: antialiased;
}


@media (max-width: 800px) {
    
}


